Main Page Widgets Namespaces Book

# Glib::PropertyProxy< T > Class Template Reference

Inheritance diagram for Glib::PropertyProxy< T >:

[legend]
List of all members.

## Public Types
typedef T | PropertyType
## Public Methods
| PropertyProxy (Object* obj, const char* name)
void | set_value (const PropertyType& data)
PropertyType | get_value () const
void | reset_value ()
PropertyProxy<T>& | operator= (const PropertyType& data)
| operator PropertyType () const

### template <class T>
class Glib::PropertyProxy< T >

## Member Typedef Documentation

template <class T>
typedef T Glib::PropertyProxy<T>::PropertyType

## Constructor & Destructor Documentation

template <class T>
Glib::PropertyProxy<T>::PropertyProxy | ( | Object* | obj,
|  | const char* | name
| ) | `[inline]`

## Member Function Documentation

template <class T>
PropertyType Glib::PropertyProxy<T>::get_value | ( |  | ) |

template <class T>
Glib::PropertyProxy<T>::operator PropertyType | ( |  | ) | const`[inline]`

template <class T>
PropertyProxy<T>& Glib::PropertyProxy<T>::operator= | ( | const PropertyType& | data | ) | `[inline]`

template <class T>
void Glib::PropertyProxy<T>::reset_value | ( |  | ) | `[inline]`

template <class T>
void Glib::PropertyProxy<T>::set_value | ( | const PropertyType& | data | ) |

The documentation for this class was generated from the following file:

- propertyproxy.h